/*-=-=-=-=-=-=-=-=-=-=-=- RCCL/RCI Notice of Copyright -=-=-=-=-=-=-=-=-=-=-*
 *									    *
 *	Copyright (C) 1987, 1991 by John E. Lloyd.			    *
 *									    *
 *	Information on copyright permissions, as well as a complete	    *
 *	disclaimer of warranty, is given in the file COPYRIGHT.		    *
 *									    *
 *-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/

#ifndef _SIMDRIVER_H_
#define _SIMDRIVER_H_

#define SIM_BUFSIZE	256	/* max. no. of bytes per xfer */
/*
struct siginfo {
	int pid;
	int signum;
};
*/

struct simreg {
	int sd;
	int obd;
	unsigned short state;
#define SIM_NO_WAIT	0
#define SIM_READ_WAIT	1
#define SIM_WRITE_WAIT	2
#define SIM_SIGNAL_ACK	3
	struct siginfo siginfo;
	int readCount;
	int writeCount;
};

extern simRead();
extern simTestRead();
extern simWrite();
extern simTestWrite();

extern simProbe();
extern simAttach();
extern simDetach();
extern simSignal();

extern simIoctl();

#endif
